{ pkgs, hyprlandSettings, ... }:
let
  settings = import ../../settings.nix { inherit pkgs; };
in
{
  services.mako = {
    enable = true;
    settings = {
      font = settings.fontName;
      icons = true;
      ignore-timeout = true;
      sort = "-time";
      width = 500;
      height = 110;
      layer = "overlay";
      border-radius = 15;
      border-size = 1;
      max-icon-size = 64;
      default-timeout = 5000;

      background-color = settings.nord.polarNight.nord0;
      text-color = settings.nord.snowStorm.nord6;
      border-color = settings.nord.frost.nord10;
      progress-color = "over ${settings.nord.frost.nord8}";
    };
  };
}
